* RETURNTO.PRG: UDF for test the RETURN TO ... statement, with return value.
* By M. Asherman, 2/12/02.
*
* Testing with this funtion under VFP6 SP4 (and earlier) demonstrates an apparent VFP bug.

* takes 2 optional arguments
lparameters name_arg, value_arg
* name_arg: 	procedure name to return to.
* value_arg:	the desired return value to be returned.

* just do a normal return of the given value if name_arg was not supplied
if empty(m.name_arg)
	return m.value_arg
endif

* Do a non-local return with value to the specified (named) program level.
* This syntax always seems to work, but not if we substitute a literal .F. for m.value_arg.
RETURN TO &name_arg m.value_arg

* If the preceding line is commented out, the following one produces a syntax error,
* except in the case where name_arg = 'master'.  Sure looks like a VFP bug!!
RETURN TO &name_arg .f.

* None of the following syntaxes work, although VFP Help seems to indicate they should.
RETURN .f. to &name_arg
RETURN m.value_arg to &name_arg
RETURN .F. TO MASTER
