* test1.prg: attempts to invoke form method with too many arguments
* 12/4/00: added a call to this function in errhform.scx's Test2 button,
*	so let's hold on to this as part of the demo app.
* 1/12/01: adjust tracing for Abort handling after spec changes (see erma0016).

#include errhandl.h			&& pick up macros trace levels

* The following is the first executable statement in this proc,
* just a dummy assignment, which is expendable if we Ignore too many args.
testvar = 7

* support optional diagnostic tracing
if _screen.activeform.ehp_tracelevel > 0 ;
  and (_screen.activeform.ehp_tracelevel % ERRH_TRACEDEMO_ALL = 0)
	_screen.activeform.EHM_ShowAppErr(0, ;
	  'About to execute "_screen.activeform.ERRHCM_RUN(1,2,3,4)".' ;
	  + chr(13) + 'vartype(m.testvar) = "' + vartype(m.testvar) + '"', ;
	  '', 0, .f., .f., -1)
endif

* the following will trigger a too-many-args error, which is automatically 
* ignored if ...ehp_ignore_noparam = .T.
_screen.activeform.ERRHCM_RUN(1,2,3,4)	&& call form method with too many args

* support optional diagnostic tracing
if _screen.activeform.ehp_tracelevel > 0 ;
  and (_screen.activeform.ehp_tracelevel % ERRH_TRACEDEMO_ALL = 0)
	_screen.activeform.EHM_ShowAppErr(0, ;
	  'Right after "_screen.activeform.ERRHCM_RUN(1,2,3,4)"' ;
	  + chr(13) + 'ehp_success = ' + iif(_screen.activeform.ehp_success, '.T.','.F.') ;
	  + ', ehp_aborted = ' + iif(_screen.activeform.ehp_aborted, '.T.','.F.'))
endif
